{
  "openapi": "3.0.1",
  "info": {
    "title": "Boomi Managed File Transfer - AFT Management API",
    "description": "Download OpenAPI Specification: <a href='/MFT/aftManagementRESTOpenAPISpec.json' target='_blank' download='aftManagementRESTOpenAPISpec.json'>Download</a> \n\n Configuration API for Boomi Managed File Transfer platform. Manages organizations, credentials, flows, endpoints, processing options, schedules, and alerts. \n\n ## Authentication\n\nThe MFT Management API uses either tokens generated from username and passwords or API keys to authenticate requests. You can view and manage API keys generated per user in the MFT portal under the user profile.\n\n### Generate a user token to authenticate with the API\n\nTo generate a token for API calls, follow these steps on our Swagger page or from an external application or script. To generate a user token to authenticate with the API:\n\n1. To begin, you must determine the specific Swagger page that you need to connect to [US, UK, EU or AU](https://developer.boomi.com/docs/APIs/MFT/AFTRESTAPIs/swagger-ui-api).\n2. To access the appropriate Swagger page, navigate to the **Users** section.\n3. Locate the POST /api/Users/authenticate endpoint and click it to open the request details.\n4. Click the **Try it out** button.\n\n> **Warning:** If multi-factor authentication (MFA) is enabled for your account, you must first run the **ResendMfaCode** call to get your one-time password.\n\n5. The API call can be edited. Ensure you replace the **username**, **password**, and **MFA code** placeholders with your actual credentials.\n\n> **Info:** \"userName\": \"**your-userName**\", \"password\": \"**your-password**\", \"oneTimePasscode\": \"**your-oneTimePasscode**\"\n\n6. Enter your username, password, and MFA code in the placeholder strings and click the **Execute** button. If the process is successful, it displays the curl command, the request URL, the response body, and the response header.\n7. Information you need from here comes from the **response body**. You only need the data between the quotation marks after the semicolon. For examples, refer to [Authentication](https://developer.boomi.com/docs/APIs/MFT/AFTRESTAPIs/authentication#generate-a-user-token-to-authenticate-with-the-api) on Boomi Developer Docs. \n8. Once you have copied this information, return to the top of the page and click the **Authorize** button.\n9. Paste your data in the the **value** box and click the **Authorize** button. If the process is successful, a confirmation message appears.\n\nYou can now execute example API calls. Note that the bearer token will expire in approximately 10-15 minutes as a security measure. To maintain access, use the refresh token obtained from the authentication request. By providing this refresh token in the refresh access token call, you will reset the expiration timer. If you do not do this, you need to go through the entire authentication process again or use an API key.\n\n### Create an API Key to authenticate with the API\n\nYou can create API keys under a user profile for API authentication to the MFT service. To create an API Key:\n\n1. Navigate to the user's profile section.\n2. Click **Create API Key**.\n3. Provide the following information: **API Key Name**: Provide the key a name so it can be identified. **Expiration**: Keys can have an expiration date. An expired key can cause integrations to fail. **Associated Entities**: Keys can be associated with Organizations. **Permissions**: Keys can be given access to different API types.\n4. Click **Save**.\n\nOnce a key is created, it is listed as shown below.\n\n> **Note:** When using the API key from any external application the header should be called **ApiKey**.",
    "contact": {
      "name": "Customer Support",
      "url": "https://community.boomi.com/boomi_support",
      "email": "support@boomi.com"
    },
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://us.thruinc.com/"
    },
    {
      "url": "https://uk.thruinc.com/"
    },
    {
      "url": "https://eu.thruinc.com/"
    },
    {
      "url": "https://au.thruinc.com/"
    }
  ],
  "paths": {
    "/api/Account": {
      "get": {
        "tags": [
          "Account"
        ],
        "summary": "Retrieves the current user's profile information",
        "operationId": "Account_GetUserProfile",
        "responses": {
          "200": {
            "description": "Successfully retrieved user profile",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/AccountUserProfileEditorViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountUserProfileEditorViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountUserProfileEditorViewModel"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials (ApiKey header or Bearer token required)",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to access profile information",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving profile",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns complete user profile including personal information, contact details, and account preferences."
      }
    },
    "/api/Account/updateProfile": {
      "put": {
        "tags": [
          "Account"
        ],
        "summary": "Updates the current user's profile information",
        "description": "Users can only update their own profile information.",
        "operationId": "Account_UpdateUserProfile",
        "requestBody": {
          "description": "Updated user profile data including preferences and settings",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccountUserProfileEditorViewModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/AccountUserProfileEditorViewModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/AccountUserProfileEditorViewModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully updated user profile",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateUserProfileResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateUserProfileResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateUserProfileResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to update profile or attempting to update another user's profile",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while updating profile",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        }
      }
    },
    "/api/Account/changePassword": {
      "post": {
        "tags": [
          "Account"
        ],
        "summary": "Changes the current user's password",
        "description": "Users can only change their own password. Requires password change permissions.",
        "operationId": "Account_ChangePassword",
        "requestBody": {
          "description": "Password change request containing current and new password",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChangePasswordViewModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/ChangePasswordViewModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangePasswordViewModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully changed password",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ChangePasswordResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ChangePasswordResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ChangePasswordResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to change password or attempting to change another user's password",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while changing password",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        }
      }
    },
    "/api/Account/updateSession": {
      "post": {
        "tags": [
          "Account"
        ],
        "summary": "Updates or invalidates user session",
        "description": "This endpoint allows anonymous access but requires Bearer token for session validation.\r\nUsed to handle session timeouts and logout scenarios.",
        "operationId": "Account_UpdateSession",
        "requestBody": {
          "description": "Session information including timeout and logout status",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UserSessionViewModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/UserSessionViewModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/UserSessionViewModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully updated or invalidated session",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/UserSessionViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserSessionViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserSessionViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request or missing Bearer token",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "Invalid or expired Bearer token",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while updating session",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        }
      }
    },
    "/api/Accounting/getCustomerTransferQuota": {
      "get": {
        "tags": [
          "Accounting"
        ],
        "summary": "Retrieves the transfer quota information for the current customer",
        "description": "Requires billing API permissions to access customer transfer quota data.",
        "operationId": "Accounting_GetCustomerTransferQuota",
        "responses": {
          "200": {
            "description": "Successfully retrieved customer transfer quota",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              },
              "application/json": {
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              },
              "text/json": {
                "schema": {
                  "type": "integer",
                  "format": "int32"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view billing information",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving quota information",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              }
            }
          }
        }
      }
    },
    "/api/Accounting/getCustomerTransfers": {
      "get": {
        "tags": [
          "Accounting"
        ],
        "summary": "Retrieves transfer usage data for the current customer",
        "description": "Requires billing API permissions to access customer transfer usage data.",
        "operationId": "Accounting_GetCustomerTransfers",
        "responses": {
          "200": {
            "description": "Successfully retrieved customer transfer data",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/BillingCountsViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BillingCountsViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BillingCountsViewModel"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view billing information",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving transfer data",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              }
            }
          }
        }
      }
    },
    "/api/Accounting/GetCustomerMTDTransfers": {
      "get": {
        "tags": [
          "Accounting"
        ],
        "summary": "Retrieves month-to-date transfer statistics for a specific organization",
        "description": "Requires billing API permissions. Use orgid=0 to get data for all accessible organizations.",
        "operationId": "Accounting_GetCustomerMTDTransfers",
        "parameters": [
          {
            "name": "orgid",
            "in": "query",
            "description": "Organization identifier (0 for all accessible organizations)",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "monthnum",
            "in": "query",
            "description": "Month number (1-12)",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "year",
            "in": "query",
            "description": "Year for the transfer data",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved MTD transfer data",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BillingCountsMTDViewModel"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BillingCountsMTDViewModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BillingCountsMTDViewModel"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view billing information or access the specified organization",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Organization not found",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving MTD data",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              }
            }
          }
        }
      }
    },
    "/api/Accounting/GetCustomerDailyTransfersForMonth": {
      "get": {
        "tags": [
          "Accounting"
        ],
        "summary": "Retrieves daily transfer statistics for a specific organization and month",
        "description": "Requires billing API permissions to access daily transfer breakdown data.",
        "operationId": "Accounting_GetCustomerDailyTransfersForMonth",
        "parameters": [
          {
            "name": "orgid",
            "in": "query",
            "description": "Organization identifier",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "monthnum",
            "in": "query",
            "description": "Month number (1-12)",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "year",
            "in": "query",
            "description": "Year for the transfer data",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved daily transfer data",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/BillingCountsDailyForMonthViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BillingCountsDailyForMonthViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BillingCountsDailyForMonthViewModel"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view billing information",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving daily transfer data",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              }
            }
          }
        }
      }
    },
    "/api/Accounting/GetDailyByMonth": {
      "get": {
        "tags": [
          "Accounting"
        ],
        "summary": "Retrieves daily transfer statistics for a specific month and organization",
        "description": "Requires billing API permissions. Use orgId=0 to get data for all accessible organizations.",
        "operationId": "Accounting_GetDailyByMonth",
        "parameters": [
          {
            "name": "year",
            "in": "query",
            "description": "Year for the transfer data",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "month",
            "in": "query",
            "description": "Month number (1-12)",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "orgId",
            "in": "query",
            "description": "Optional organization identifier (default: 0 for all accessible organizations)",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved daily transfer statistics",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BillingDashboardViewModel"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BillingDashboardViewModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BillingDashboardViewModel"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters provided",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid authentication credentials",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view billing information",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving transfer statistics",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseViewModel"
                }
              }
            }
          }
        }
      }
    },
    "/api/Activity/getFileActivity": {
      "post": {
        "tags": [
          "Activity"
        ],
        "summary": "Retrieves file activity based on the provided filters.",
        "description": "viewType:= SourceAndTargetStructured, Source, Target\r\n            \r\ntransferStatusID:= Scheduled (1), Queued (2), Started (3), Progress (4), Completed (5), Cancelled (6), Error (7)\r\n            \r\nExample requests:\r\n\r\nPOST /api/Activity/getFileActivity - Example using the minimum set of filer fields\r\n{\r\n  \"showPurged\": false,\r\n  \"viewType\": \"SourceAndTargetStructured\",\r\n  \"flowCode\": \"\",\r\n  \"flowId\": 0,\r\n  \"organizationCode\": \"\",\r\n  \"endpointCode\": \"\",\r\n  \"filename\": \"\",\r\n  \"fromDate\": \"2022-08-09\",\r\n  \"transferStatusId\": [],\r\n  \"processingStatus\": [],\r\n  \"paging\": {\r\n     \"pageNumber\": 1,\r\n     \"totalCount\": 0,\r\n     \"pageSize\": 30,\r\n     \"orderBy\": \"\",\r\n     \"orderDirection\": \"desc\"\r\n   }\r\n}\r\n            \r\nPOST /api/Activity/getFileActivity - Example filtering target files, purged, and with a timestamp\r\n{\r\n  \"showPurged\": true,\r\n  \"viewType\": \"Target\",\r\n  \"flowCode\": \"\",\r\n  \"flowId\": 0,\r\n  \"organizationCode\": \"\",\r\n  \"endpointCode\": \"\",\r\n  \"filename\": \"\",\r\n  \"fromDate\": \"2022-10-25T20:40:55.260Z\",\r\n  \"transferStatusId\": [],\r\n  \"processingStatus\": [],\r\n  \"paging\": {\r\n     \"pageNumber\": 1,\r\n     \"totalCount\": 0,\r\n     \"pageSize\": 50,\r\n     \"orderBy\": \"\",\r\n     \"orderDirection\": \"desc\"\r\n   }\r\n}\r\n\r\nPOST /api/Activity/getFileActivity - Example filtering for Errors, Cancelled, and Queued files\r\n{\r\n\"viewType\":\"SourceAndTargetStructured\",\r\n\"showPurged\":false,\r\n\"flowCode\":\"\",\r\n\"organizationCode\":\"\",\r\n\"endpointCode\":\"\",\r\n\"fromDate\":\"2022-11-01T05:00:00.000Z\",\r\n\"filename\":\"\",\r\n\"transferStatusId\":[\"7\",\"6\",\"2\"],\r\n\"processingStatus\":[],\r\n\"paging\":{\r\n    \"pageNumber\":1,\r\n    \"totalCount\":0,\r\n    \"pageSize\":50,\r\n    \"orderBy\":\"TransferStateDateTimeConvert\",\r\n    \"orderDirection\":\"desc\"\r\n    }\r\n}",
        "operationId": "Activity_GetFileActivity",
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ActivityFilesListViewModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/ActivityFilesListViewModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/ActivityFilesListViewModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully retrieved file activity records",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityFilesListViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityFilesListViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityFilesListViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request parameters",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        }
      }
    },
    "/api/Activity/getFileDownloadHistory": {
      "get": {
        "tags": [
          "Activity"
        ],
        "summary": "Retrieves download history for a specific file",
        "operationId": "Activity_GetFileDownloadHistory",
        "parameters": [
          {
            "name": "reportId",
            "in": "query",
            "description": "Unique identifier for the file report (must be a valid 24-digit hex string)",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "flowEndpointType",
            "in": "query",
            "description": "Type of flow endpoint: 1 = Source, 2 = Target, 0 = All/Undefined",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved file download history",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/FileDownloadHistoryItem"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/FileDownloadHistoryItem"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/FileDownloadHistoryItem"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns chronological list of download attempts including user information and download status for audit tracking."
      }
    },
    "/api/Activity/getOrganizationEndpointsByFlow": {
      "get": {
        "tags": [
          "Activity"
        ],
        "summary": "Gets organization endpoints associated with a specific flow",
        "operationId": "Activity_GetOrganizationEndpointsByFlow",
        "parameters": [
          {
            "name": "flowId",
            "in": "query",
            "description": "Unique identifier for the flow",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved organization endpoints",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ActivityOrganizationEndpoint"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ActivityOrganizationEndpoint"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ActivityOrganizationEndpoint"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns list of organization endpoints configured for the specified flow, including endpoint codes and names."
      }
    },
    "/api/Activity/getFilterItems": {
      "post": {
        "tags": [
          "Activity"
        ],
        "summary": "Retrieves available filter options for activity searches",
        "operationId": "Activity_GetFilterItems",
        "requestBody": {
          "description": "Filter criteria to determine available options",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ActivityFilterViewModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/ActivityFilterViewModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/ActivityFilterViewModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully retrieved filter options",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityFilterViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityFilterViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityFilterViewModel"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns dynamic filter options including flows, organizations, endpoints, and flow endpoints based on user access."
      }
    },
    "/api/Activity/getFileHistory": {
      "get": {
        "tags": [
          "Activity"
        ],
        "summary": "Retrieves complete transfer history for a specific file",
        "operationId": "Activity_GetFileHistory",
        "parameters": [
          {
            "name": "reportId",
            "in": "query",
            "description": "Unique identifier for the file report (must be a valid 24-digit hex string)",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "flowEndpointId",
            "in": "query",
            "description": "Identifier for the flow endpoint",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved file history",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BaseResponse"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BaseResponse"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BaseResponse"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns detailed transfer history including all state transitions and processing events for the specified file."
      }
    },
    "/api/Activity/resendTargetFiles": {
      "post": {
        "tags": [
          "Activity"
        ],
        "summary": "Resends target files for processing",
        "operationId": "Activity_ResendTargetFiles",
        "requestBody": {
          "description": "List of report identifiers for files to be resent (each must be a valid 24-digit hex string)",
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "text/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "application/*+json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully initiated resend operation",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ResendTargetFilesResult"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResendTargetFilesResult"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResendTargetFilesResult"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Initiates reprocessing of previously transferred target files, useful for retry operations or error recovery."
      }
    },
    "/api/Activity/deleteFiles": {
      "post": {
        "tags": [
          "Activity"
        ],
        "summary": "Deletes files with optional associated file cleanup",
        "operationId": "Activity_DeleteFiles",
        "parameters": [
          {
            "name": "deleteAssociatedFiles",
            "in": "query",
            "description": "Whether to delete associated files (default: false)",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "requestBody": {
          "description": "List of report identifiers for files to be deleted (each must be a valid 24-digit hex string)",
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "text/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "application/*+json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully deleted files"
          },
          "400": {
            "description": "Some errors occurred during bulk delete operation",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              },
              "text/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Removes specified files from the system, optionally including associated files in the deletion operation."
      }
    },
    "/api/Activity/getTransferHistory": {
      "post": {
        "tags": [
          "Activity"
        ],
        "summary": "Retrieves comprehensive transfer history for audit and reporting",
        "operationId": "Activity_GetTransferHistory",
        "requestBody": {
          "description": "Filter criteria for transfer history search",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TransferHistoryFilterViewModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/TransferHistoryFilterViewModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/TransferHistoryFilterViewModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully retrieved transfer history",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/TransferHistoryReturnViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransferHistoryReturnViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransferHistoryReturnViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid filter parameters provided",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              },
              "text/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns paginated transfer history with detailed action states, file metadata, and processing information for compliance and monitoring."
      }
    },
    "/api/AdminCustomerRetentions": {
      "get": {
        "tags": [
          "AdminCustomerRetentions"
        ],
        "summary": "Retrieves customer data retention policy configuration",
        "operationId": "AdminCustomerRetentions_GetCustomerRetention",
        "responses": {
          "200": {
            "description": "Successfully retrieved customer retention configuration",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentions"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentions"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentions"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view retention policies",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns current retention policy settings including retention period and hard limit configurations."
      },
      "post": {
        "tags": [
          "AdminCustomerRetentions"
        ],
        "summary": "Creates a new customer data retention policy",
        "operationId": "AdminCustomerRetentions_Create",
        "requestBody": {
          "description": "Customer retention policy configuration details",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully created customer retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request data or validation errors",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to create retention policies",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while creating retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Establishes new data retention policy with specified period and hard limit settings for customer data management."
      },
      "put": {
        "tags": [
          "AdminCustomerRetentions"
        ],
        "summary": "Updates an existing customer data retention policy",
        "operationId": "AdminCustomerRetentions_Update",
        "requestBody": {
          "description": "Updated customer retention policy configuration",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully updated customer retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request data or validation errors",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to update retention policies",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while updating retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Modifies existing retention policy configuration including retention periods and enforcement settings."
      }
    },
    "/api/AdminCustomerRetentions/save": {
      "put": {
        "tags": [
          "AdminCustomerRetentions"
        ],
        "summary": "Saves customer data retention policy (creates new or updates existing based on ID)",
        "description": "Performs upsert operation: creates new policy if ID is 0, otherwise updates existing policy",
        "operationId": "AdminCustomerRetentions_Save",
        "requestBody": {
          "description": "Customer retention policy configuration to save",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerRetentions"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully saved customer retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerRetentionResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request data or validation errors",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to save retention policies",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while saving retention policy",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        }
      }
    },
    "/api/AdminFeatureFlag": {
      "get": {
        "tags": [
          "AdminFeatureFlag"
        ],
        "summary": "Retrieves all available feature flags and their current settings",
        "operationId": "AdminFeatureFlag_GetFeatureFlags",
        "responses": {
          "200": {
            "description": "Successfully retrieved feature flags",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CustomerFeatureFlags"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CustomerFeatureFlags"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CustomerFeatureFlags"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Failed to retrieve feature flags",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              },
              "text/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "User is not authorized to view feature flags"
          },
          "500": {
            "description": "Internal server error occurred"
          }
        },
        "description": "Returns list of all feature flags and their current enabled/disabled state for the customer instance."
    },
      "put": {
        "tags": [
          "AdminFeatureFlag"
        ],
        "summary": "Updates feature flag settings for customer configurations",
        "operationId": "AdminFeatureFlag_SaveFeatureFlags",
        "requestBody": {
          "description": "List of customer feature flag configurations to save",
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/CustomerFeatureFlags"
                }
              }
            },
            "text/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/CustomerFeatureFlags"
                }
              }
            },
            "application/*+json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/CustomerFeatureFlags"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully updated feature flags",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CustomerFeatureFlags"
                  }
                }
              },
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CustomerFeatureFlags"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/CustomerFeatureFlags"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Failed to update feature flags due to invalid data",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                }
              },
              "application/json": {
                "schema": {
                  "type": "string"
                }
              },
              "text/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "User is not authorized to update feature flags"
          },
          "500": {
            "description": "Internal server error occurred"
          }
        },
        "description": "Updates feature flag configurations to enable or disable specific features across the customer instance."
      }
    },
    "/api/AdminMfaSettings": {
      "get": {
        "tags": [
          "AdminMfaSettings"
        ],
        "summary": "Retrieves customer multi-factor authentication (MFA) settings",
        "operationId": "AdminMfaSettings_GetMfaSettings",
        "responses": {
          "200": {
            "description": "Successfully retrieved MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettings"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettings"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettings"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to view MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while retrieving MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Returns multi-factor authentication configuration including enabled status and trusted device TTL settings."
      },
      "post": {
        "tags": [
          "AdminMfaSettings"
        ],
        "summary": "Creates new customer multi-factor authentication (MFA) settings",
        "operationId": "AdminMfaSettings_Create",
        "requestBody": {
          "description": "Customer MFA configuration details",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully created MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request data or validation errors",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to create MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while creating MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Establishes new MFA configuration with specified authentication requirements and device trust settings."
      },
      "put": {
        "tags": [
          "AdminMfaSettings"
        ],
        "summary": "Updates existing customer multi-factor authentication (MFA) settings",
        "operationId": "AdminMfaSettings_Update",
        "requestBody": {
          "description": "Updated customer MFA configuration",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully updated MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request data or validation errors",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to update MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error occurred while updating MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          }
        },
        "description": "Modifies existing MFA configuration including authentication requirements and trusted device settings."
      }
    },
    "/api/AdminMfaSettings/save": {
      "put": {
        "tags": [
          "AdminMfaSettings"
        ],
        "summary": "Saves customer multi-factor authentication (MFA) settings (creates new or updates existing based on ID)",
        "description": "Performs upsert operation: creates new MFA settings if ID is 0, otherwise updates existing settings",
        "operationId": "AdminMfaSettings_Save",
        "requestBody": {
          "description": "Customer MFA configuration to save",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerMfaSettings"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully saved MFA settings",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerMfaSettingsResponseViewModel"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request data or validation errors",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "User is not authorized to save MFA settings",
[...]
